Bug 193177 - audio/sdl_mixer: music.c:41: music_modplug.h:3:21: error: modplug.h: No such file or directory (MODPLUG option)
Summary: audio/sdl_mixer: music.c:41: music_modplug.h:3:21: error: modplug.h: No such ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Marcus von Appen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-30 20:27 UTC by Jan Beich
Modified: 2014-09-02 18:46 UTC (History)
1 user (show)

See Also:


Attachments
error log (32.60 KB, text/plain)
2014-08-30 20:27 UTC, Jan Beich
no flags Details
fix (208 bytes, patch)
2014-08-30 20:53 UTC, Jan Beich
no flags Details | Diff
fixed log (96.54 KB, text/plain)
2014-08-30 21:00 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-08-30 20:27:20 UTC
Created attachment 146569 [details]
error log

$ ls /usr/local/include/**/modplug.h
/usr/local/include/libmodplug/modplug.h

$ pkg-config --cflags libmodplug
-I/usr/local/include

$ make DISABLE_MAKE_JOBS=
===>  Building for sdl_mixer-1.2.12_8
gmake[2]: Entering directory 'WRKDIR/SDL_mixer-1.2.12'
/bin/sh ./libtool --mode=compile cc -O2 -pipe -I/usr/local/include -D_GNU_SOURCE=1 -I/usr/local/include/SDL -I/usr/local/include -D_GNU_SOURCE=1 -D_REENTRANT -D_THREAD_SAFE   -fvisibility=hidden -DHAVE_FORK -DCMD_MUSIC -DWAV_MUSIC -DMODPLUG_MUSIC  -I/usr/local/include   -DMID_MUSIC -DUSE_TIMIDITY_MIDI -I./timidity -DOGG_MUSIC -DOGG_DYNAMIC=\"libvorbisfile.so.6\" -DHAVE_SIGNAL_H -DHAVE_SETBUF -MMD -MT build/music.lo -c music.c -o build/music.lo
libtool: compile:  cc -O2 -pipe -I/usr/local/include -D_GNU_SOURCE=1 -I/usr/local/include/SDL -I/usr/local/include -D_GNU_SOURCE=1 -D_REENTRANT -D_THREAD_SAFE -fvisibility=hidden -DHAVE_FORK -DCMD_MUSIC -DWAV_MUSIC -DMODPLUG_MUSIC -I/usr/local/include -DMID_MUSIC -DUSE_TIMIDITY_MIDI -I./timidity -DOGG_MUSIC -DOGG_DYNAMIC=\"libvorbisfile.so.6\" -DHAVE_SIGNAL_H -DHAVE_SETBUF -MMD -MT build/music.lo -c music.c  -fPIC -DPIC -o build/.libs/music.o
In file included from music.c:41:
./music_modplug.h:3:10: fatal error: 'modplug.h' file not found
#include "modplug.h"
         ^
1 error generated.
Makefile:151: recipe for target 'build/music.lo' failed
gmake[2]: *** [build/music.lo] Error 1
gmake[2]: Leaving directory 'WRKDIR/SDL_mixer-1.2.12'
*** Error code 1
Comment 2 Jan Beich freebsd_committer 2014-08-30 20:53:14 UTC
Created attachment 146570 [details]
fix

libmodplug-0.8.8.4 still have -I${includedir}/libmodplug as noted in upstream bug. Let's copy the include line from audio/sdl2_mixer.
Comment 3 Jan Beich freebsd_committer 2014-08-30 21:00:12 UTC
Created attachment 146571 [details]
fixed log
Comment 4 Tilman Keskinoz freebsd_committer 2014-08-31 09:29:20 UTC
over to maintainer
Comment 5 commit-hook freebsd_committer 2014-09-02 18:46:23 UTC
A commit references this bug:

Author: mva
Date: Tue Sep  2 18:45:59 UTC 2014
New revision: 367072
URL: http://svnweb.freebsd.org/changeset/ports/367072

Log:
  - Unbreak the build, if MODPLUG is selected

  PR:		193177
  Submitted by:	Jan Beich <jbeich@vfemail.net>

Changes:
  head/audio/sdl_mixer/Makefile
Comment 6 Marcus von Appen freebsd_committer freebsd_triage 2014-09-02 18:46:37 UTC
Fixed, thanks. I omitted the extra file and patched it in post-patch.